List all banks
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/bank \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/bank"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/bank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/bank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/bank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"id": "bank_123",
"name": "78 Finance Company Limited",
"code": "123456",
"country": {
"code": "NG",
"name": "Nigeria"
}
}
]{
"message": "Invalid or missing access token"
}Bank
List all banks
Retrieve all supported banks. Filter by currency or country if desired. Required scope: bank:read.
GET
/
api
/
external
/
bank
List all banks
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Query Parameters
Filter banks by currency code (e.g., NGN, USD, CAD)
Filter banks by country code (e.g., NG, US, CA)
Required string length:
2Filter banks by country identifier
Response
Banks retrieved successfully.
Was this page helpful?